Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.networkdb.kademlia
Class FloodfillDatabaseLookupMessageHandler

    java.lang.Object
      net.i2p.router.networkdb.kademlia.FloodfillDatabaseLookupMessageHandler

All Implemented Interfaces:
  HandlerJobBuilder

    public class FloodfillDatabaseLookupMessageHandler

extends Object
implements HandlerJobBuilder

Build a HandleDatabaseLookupMessageJob whenever a DatabaseLookupMessage arrives

Constructor Summary
`FloodfillDatabaseLookupMessageHandler(RouterContext context, FloodfillNetworkDatabaseFacade facade)`

Method Summary
`Job` | `createJob(I2NPMessage receivedMessage, RouterIdentity from, Hash fromHash)` Create a new job to handle the received message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloodfillDatabaseLookupMessageHandler

    public FloodfillDatabaseLookupMessageHandler(RouterContext context,
                                                 FloodfillNetworkDatabaseFacade facade)

Method Detail

### createJob

    public Job createJob(I2NPMessage receivedMessage,
                         RouterIdentity from,
                         Hash fromHash)

  Description copied from interface: `HandlerJobBuilder`
  Create a new job to handle the received message.

  Specified by:
    `createJob` in interface `HandlerJobBuilder`
  Parameters:
    `receivedMessage` - I2NP message received
    `from` - router that sent the message (if available)
    `fromHash` - hash of the routerIdentity of the router that sent the message (if available)
  Returns:
    a job or null if no particular job is appropriate (in which case, the message should go into the inbound message pool)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD